function pickDBSpawn( %team )
{
	%count = dbBrickGroup.getCount();

	for ( %i = 0 ; %i < %count ; %i++ )
	{
		%obj = dbBrickGroup.getObject( %i );
		%db = %obj.getDataBlock();

		if ( !%db.isDBSpawn )
		{
			continue;
		}

		if ( strLen( %db.spawnTeam ) && %db.spawnTeam !$= %team )
		{
			if ( strLen( %team ) )
			continue;
		}

		%list = %list @ ( strLen( %list ) ? "\t" : "" ) @ %obj;
	}

	if ( !strLen( %list ) || !getFieldCount( %list ) )
	{
		return pickSpawnPoint();
	}

	%obj = getField( %list, getRandom( 0, getFieldCount( %list ) - 1 ) );

	if ( !isObject( %obj ) )
	{
		return pickSpawnPoint();
	}

	return vectorAdd( %obj.position, "0 0 0.5" ) SPC %obj.rotation;
}

function autoPickTeam()
{
	%c0 = 0;
	%c1 = 0;
	%count = clientGroup.getCount();

	for ( %i = 0 ; %i < %count ; %i++ )
	{
		%c[ clientGroup.getObject( %i ).dbTeam ]++;
	}

	if ( %c0 > %c1 )
	{
		return 1;
	}
	else if ( %c1 > %c0 )
	{
		return 0;
	}
	else
	{
		return getRandom( 0, 1 );
	}
}